Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.nds.dirxml.driver.xds.XDSException
                  com.novell.nds.dirxml.driver.xds.XDSParameterException

All Implemented Interfaces:
  Serializable

public class XDSParameterException
extends XDSException

This exception is thrown if a parameter constraint is violated. This exception may also be thrown inside of a driver when a parameter values is determined to be illegal for any reason.

See Also:
  Serialized Form

Constructor Summary
`XDSParameterException()` Creates a new XDSParameterException object.
`XDSParameterException(String errorMessage)` Constructor.
`XDSParameterException(String errorMessage, Parameter someParam)` Constructor.

Method Summary
`XDSParameterException` | `getNext()` Returns the next exception.
`Parameter` | `getParameter()` Returns the parameter in error.
`void` | `setNext(XDSParameterException someException)` Allows exception chaining.

Methods inherited from class com.novell.nds.dirxml.driver.xds.XDSException
`getNextException, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XDSParameterException

    public XDSParameterException(String errorMessage)

  Constructor.

Parameters:
  `errorMessage` - the error message; may be `null` or `""`

### XDSParameterException

    public XDSParameterException()

  Creates a new XDSParameterException object.

### XDSParameterException

    public XDSParameterException(String errorMessage,
                                 Parameter someParam)

  Constructor.

Parameters:
  `errorMessage` - the error message; may be `null` or `""`
  `someParam` - the parameter in error; may be `null`

Method Detail

### getParameter

    public Parameter getParameter()

  Returns the parameter in error.

  Returns:
    may return `null`

### setNext

    public void setNext(XDSParameterException someException)

  Allows exception chaining.

  Parameters:
    `someException` - the next exception in the list; if `null`, `someException` is omitted from the list; it's important that `someException` be added only once to avoid cyclic references

### getNext

    public XDSParameterException getNext()

  Returns the next exception.

  Returns:
    returns `null` for end-of-list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD